<?php
// Abstract base class for codes lists
abstract class AdministrateCodesList {

	public function __construct($list){
		$this->codes_list = $list;
	}

	// Return copy of codes list
	public function get_list(){
		return $this->codes_list;
	}

	// Get entry name
	public function get_name($code) {
		return $this->codes_list[ $code ];
	}

	// Get entry code
	public function get_code($name) {

		// Strip non-alphabet and whitespace
		$pat = '/[^a-z]+/i';
		$name_wanted = preg_replace($pat, '', strtoupper($name));

		// Try to find exact match
		foreach($this->codes_list as $code => $name) {
			$name = preg_replace($pat, '', strtoupper($name));
			if( $name  == $name_wanted ) return $code;
		}
		return false;
	}

}
