<?php
// Administrate API credentials
//
class AdministrateCredentials {
	private $_url;
	private $_user;
	private $_password;
	private $_debug;

	public function __construct($rest_url="", $soap_url="", $user="", $password="", $debug=true, $internal_api_url="") {
		$this->_rest_url = $rest_url;
		$this->_soap_url = $soap_url;
		$this->_internal_api_url = $internal_api_url;

		$this->_user = $user;
		$this->_password = $password;

		$this->_debug = $debug;
	}

	// Getters
	//
	public function get_rest_url() {
		return $this->_rest_url;
	}
	public function get_soap_url() {
		return $this->_soap_url;
	}
	public function get_internal_api_url() {
		return $this->_internal_api_url;
	}
	public function get_user() {
		return $this->_user;
	}
	public function get_password() {
		return $this->_password;
	}
	public function get_debug() {
		return $this->_debug;
	}

	// Check if credentials object is empty
	//
	public function is_empty() {
		return (bool) (
			empty($this->_rest_url) || 
			empty($this->_soap_url) ||
			empty($this->_internal_api_url) ||
			empty($this->_user) || 
			empty($this->_password)
		);
	}
}
