<?php
//  Administrate API Course Subcategory
class AdministrateAPICourseSubcategory extends AdministrateAPIObject {
	
	private static $fields = array(
		'id'		=>	array(
			'api_field'	=>	'SubCategoryID'
		),
		'name'			=>	array(
			'api_field'	=>	'Name'
		),
		'description'	=>	array(
			'api_field'	=>	'Description'
		)
	);
	
	// Get copy of fields
	protected static function _get_api_map() {
		return self::$fields;
	}
	
	//  Get the Id
	public function get_id() {
		return $this->_get_field('id');	
	}
	
	//  Get the name
	public function get_name() {
		return $this->_get_field('name');	
	}
	
	//  Get the description
	public function get_description() {
		return $this->_get_field('description');	
	}
	
	//  Get courses
	public function get_courses() {
		$params = array(
			'CourseCategoryID'	=>	$this->get_id()
		);
		return Administrate::api()->get_course_list($params);
	}
	
	//  Whether the category has courses or not
	public function has_courses($showEmptyCourses = true) {
		
		$courses = $this->get_courses();
		
		if( !$courses || ( count($courses) == 0) ) {
			return false;
		}
		
		foreach ($courses as $course) {
			if ($showEmptyCourses || $course->has_events()) {
				return true;
			}
		}
		return false;
	}
	
	//  Get the parent category
	public function get_parent_category( $event_filter=array() ) {
		if (property_exists($this, 'parentCategory')) {
			return $this->parentCategory;
		}
		
		$cat_list = Administrate::api()->get_category_list( $event_filter );
		
		if( !$cat_list ) {
			$this->parentCategory = false;
			return false;
		}
		
		foreach ($cat_list as $category) {
			foreach ($category->get_subcategories() as $subcategory) {
				if ($subcategory->get_id() == $this->get_id()) {
					$this->parentCategory = $category;
					return $this->parentCategory;
				}
			}
		}
		$this->parentCategory = false;
		return false;
	}
	
}
