<?php
//  Administrate API Delegate Cart Entry
class AdministrateAPIDelegateCartEntry extends AdministrateAPICartEntry {
	
	private static $fields = array(
		// Cart entry fields
		'id'		=> array(
			'api_field'	=>	'WebsiteDelegateID'
		),
		'type'		=>	array(
			'api_field'	=>	'EntryType',
			'default'	=>	'delegate'
		),
		'amount'	=>	array(
			'api_field'	=>	'NetAmount'
		),
		'discount'	=>	array(
			'api_field'	=>	'DiscountRate'
		),
		'tax_id'	=>	array(
			'api_field'	=>	'TaxID'
		),
		// Additional fields
		'event_id'	=>	array(
			'api_field'	=>	'EventID',
			'required'	=>	true
		),
		'delegate_id'	=>	array(
			'api_field'	=>	'WebsiteDelegateID',
			'required'	=>	true
		),
		'email'	=> array(
			'api_field'	=>	'Email'
		),
		'company'	=> array(
			'api_field'	=>	'Company',
			'required'	=>	true
		),
		'first_name'	=> array(
			'api_field'	=>	'FirstName',
			'required'	=>	true
		),
		'last_name'	=> array(
			'api_field'	=>	'LastName',
			'required'	=>	true
		),
		'title'	=> array(
			'api_field'	=>	'JobTitle'
		),
		'department'	=> array(
			'api_field'	=>	'Department'
		),
		'address1'	=> array(
			'api_field'	=>	'Address1'
		),
		'address2'	=> array(
			'api_field'	=>	'Address2',
		),
		'address3'	=> array(
			'api_field'	=>	'Address3'
		),
		'city'	=> array(
			'api_field'	=>	'City'
		),
		'territory'	=> array(
			'api_field'	=>	'County'
		),
		'postal_code'	=> array(
			'api_field'	=>	'PostCode'
		),
		'country'	=> array(
			'api_field'	=>	'CountryCode'
		),
		'phone'	=> array(
			'api_field'	=>	'Tel'
		),
		'mobile'	=> array(
			'api_field'	=>	'Mobile'
		),
		'notes'	=> array(
			'api_field'	=>	'DelegateNotes'
		)
	);
	
	// Get copy of fields
	protected static function _get_api_map() {
		return self::$fields;
	}
	
	//  Prepare fields for API call
	public static function prepare_api_fields($fields = array(), $order_fields = array()) {

		//  Add the default type
		$fields['type'] = self::$fields['type']['default'];

		$event = Administrate::api()->get_event(
			$fields['event_id']
		);

		$fields['amount'] = $event->get_price_by_currency($order_fields['Currency'])->get_net();

		//  Call parent
		return parent::prepare_api_fields($fields);
	}
}
