<?php
//  Administrate API Event Price
class AdministrateAPIEventPrice extends AdministrateAPIObject {
	
	private static $fields = array(
		'currency'		=>	array(
			'api_field'	=>	'CurrencyCode'
		),
		'level_name'	=>	array(
			'api_field'	=>	'PriceLevel'
		),
		'level_expiry'	=>	array(
			'api_field'	=>	'PriceLevelExpiry'
		),
		'net'			=>	array(
			'api_field'	=>	'NetPrice'
		),
		'gross'			=>	array(
			'api_field'	=>	'GrossPrice'
		),
		'items_net'		=>	array(
			'api_field'	=>	'NetItemsPrice'
		),
		'items_gross'	=>	array(
			'api_field'	=>	'GrossItemsPrice'
		),
		'num_items'		=>	array(
			'api_field'	=>	'ItemCount'
		)
	);
	
	// Get copy of fields
	protected static function _get_api_map() {
		return self::$fields;
	}
	
	//  Get the currency
	public function get_currency() {
		return $this->_get_field('currency');	
	}

	// Get the price level
	public function get_price_level_name() {
		return $this->_get_field('level_name');
	}

	// Get the price level
	public function get_price_level_expiry() {
		return $this->_get_field('level_expiry');
	}
	
	// Check for zero price
	public function is_zero() {
		// Note: Pricess get rounded at .00
		return (bool) ( $this->get_net() < 0.001 );
	}

	//  Get the net price
	public function get_net() {
		return $this->_get_field('net');	
	}
	
	//  Get the gross price
	public function get_gross() {
		return $this->_get_field('gross');	
	}
	
	//  Get the display price
	public function get_display_price($display_basis = 'net') {
		if ($display_basis == 'net') {
			return $this->get_net();
		}
		return $this->get_gross();
	}
	
}
