<?php
//  Administrate API Order
class AdministrateAPIOrder extends AdministrateAPIObject {
	
	private static $fields = array(
		'order_details'		=>	array(
			'api_field'	=>	'orderDetails'
		),
		'cart_entries'		=>	array(
			'api_field'	=>	'cartData'
		),
		'payment_details'	=>	array(
			'api_field'	=>	'paymentDetails'
		)
	);
	
	// Get copy of fields
	protected static function _get_api_map() {
		return self::$fields;
	}

	//  Prepare fields for API call
	public static function prepare_api_fields($fields = array()) {
		
		//  Prepare order details
		$fields['order_details'] = AdministrateAPIOrderDetails::prepare_api_fields($fields['order_details']);

		//  Prepare payment details
		if (!isset($fields['payment_details'])) {
			$fields['payment_details'] = array();	
		}
		$fields['payment_details'] = AdministrateAPIOrderPayment::prepare_api_fields($fields['payment_details']);
		
		//  Prepare cart entries
		for ($i = 0, $numEntries = count($fields['cart_entries']); $i < $numEntries; ++$i) {
			$fields['cart_entries'][$i] = new SoapVar(
				AdministrateAPIDelegateCartEntry::prepare_api_fields($fields['cart_entries'][$i], $fields['order_details']),
				XSD_ANYTYPE,
				'DelegateCartEntry',
				'urn:EglWdPublic'
			);
		}
		
		return parent::prepare_api_fields($fields);
	}
	
}
