<?php
// Base class for widgets
//
abstract class AdministrateWidget2 {
	protected $namespace = "administrate_widget_2";
	protected $keyDelimiter = "_";

	public function __construct($service, $name= '') {
		$this->service = $service;
		$this->name    = $name;
		$this->params  = array();
		
		if( function_exists("add_shortcode") ) {
			// Register Wordpress shortcode for this widget
			add_shortcode("administrate_".$name, array($this, 'run'));
		}
	}
	
	// Run template
	abstract public function run($widget_params = array());
	
	// Get template content
	public function get_template_content($template_file) {
		$contents = "";
		$pathname = $this->get_file_path($template_file);
		
		if( is_file($pathname) ) {
			ob_start();
				extract($this->params);
				include($pathname);
				$contents = ob_get_contents();
			ob_end_clean();
		}
		return $contents;
	}
	
	// Get file path
	public function get_file_path($file="") {
		return $this->service->get_widget_dir(). "/" .$this->name. "/" .$file;
	}

	//  Get the key delimiter
	public function get_key_delimiter() {
		return $this->keyDelimiter;
	}

	//  Get the namespace
	public function get_namespace() {
		return $this->namespace;
	}

	//  Add the plugin prefix
	public function add_namespace($str, $delimiter = false) {
		if (!is_array($str)) {
			$str = array($str);
		}
		if (!$delimiter) {
			$delimiter = $this->get_key_delimiter();
		}
		$newStr = $this->get_namespace();
		foreach ($str as $tmpStr) {
			$newStr .= $delimiter . $tmpStr;
		}
		if ($delimiter) {
			$newStr = str_replace($this->get_key_delimiter(), $delimiter, $newStr);
		}
		return $newStr;
	}

}
