<?php
//	Event List
//
class AdministrateWidgetEventList extends AdministrateEventWidget2 {
	public function __construct($service) {
		parent::__construct($service, 'event_list');
		
		if( function_exists("wp_enqueue_style") ) {
			wp_enqueue_style( 'administrate_event_list', plugins_url('event_list.css', __FILE__) );
			wp_enqueue_script( 'administrate_event_list', plugins_url('event_list.js', __FILE__), array('jquery'), false, true);
		}
	}
	
	public function run($widget_params = array()) {
		parent::run($widget_params);
		
		$this->params['event_groups'] = array();
		
		// Group events
		//
		foreach( $this->params['event_list'] as $event ) {
			
			switch( $this->params['group_by'] ) {
				case 'location':
					$group_name = $event->get_location();
					$this->params['event_groups'][$group_name][] = $event;
					break;
				
				case 'course':
					if( $show_codes ) {
						$group_name = $event->get_course_code().' &ndash; '.$event->get_course_title();
					}
					else {
						$group_name = $event->get_course_title();
					}
					$this->params['event_groups'][$group_name][] = $event;
					break;
				
				case 'category':
					foreach( $event->get_categories() as $category ) {
						$group_name = $category->get_name();
						$this->params['event_groups'][$group_name][] = $event;
					}
					break;
				
				default:
					$this->params['event_groups'][0][] = $event;
					$this->params['group_by'] = 'none';
					break;
			}
		}
		ksort( $this->params['event_groups'] );
		
		// Return template content
		return $this->get_template_content('event_list.php');
	}
}
