<?php
//  Event Table
//
class AdministrateWidgetEventTable extends AdministrateEventWidget2 {
	public function __construct($service) {
		parent::__construct($service, 'event_table');

		if(function_exists("wp_enqueue_script")) {
			wp_enqueue_style('administrate_event_table', plugins_url('event_table.css', __FILE__));

			wp_enqueue_script(
				'administrate_tablesorter',
				$this->service->get_url('/js/jquery.tablesorter.js'),
				array('jquery'),
				false,
				true
			);

			wp_enqueue_script(
				'administrate_tablesorter_pager',
				$this->service->get_url('/js/jquery.tablesorter.pager.js'),
				array('jquery', 'administrate_tablesorter'),
				false,
				true
			);

			wp_enqueue_script(
				'administrate_event_table',
				$this->service->get_url('/js/jquery.administrate_event_table.js'),
				array('jquery', 'administrate_tablesorter', 'administrate_tablesorter_pager'),
				false,
				true
			);
		}
	}
	
	public function run($widget_params = array()) {
		parent::run($widget_params);

		if( $this->params['show_categories'] ) {
			$this->params['categories_list'] = Administrate::api()->get_category_list( $this->params['event_filter'] );
		}
		
		$this->params['locations_list'] = Administrate::api()->get_events_locations( $this->params['event_list'] );
		
		return $this->get_template_content("event_table.php");
	}
}
