<div id="administrate-event-table" class="administrate-widget administrate-sort-filter-table">
	<?php include($this->get_file_path("options_form.php")); ?>
<table cellspacing="0" <?php if( $show_prices ) { echo "class='administrate-event-table-pricing-table'"; } ?> <?php if( $group_size > 0 ) { echo "data-group-size='{$group_size}'"; } ?> >
		
		<thead><tr>
			<?php if( $show_codes ) { ?> <th scope="col" class="<?php echo $class_course_code; ?>"><?php $this->service->echo_text('Code'); ?></th> <?php } ?>
			<?php if( $show_names ) { ?> <th scope="col" class="<?php echo $class_course_name; ?>"><?php $this->service->echo_text('Course'); ?></th> <?php } ?>
			<th scope="col" class="<?php echo $class_course_location; ?>"><?php $this->service->echo_text('Location'); ?></th>
			<?php if($show_venues) { ?><th scope="col" class="<?php echo $class_course_venue; ?>"><?php $this->service->echo_text('Venue'); ?></th><?php } ?>
			<th scope="col" data-sorter="startDate"><?php $this->service->echo_text('Dates'); ?></th>
			<?php if( $show_times ) { ?> <th scope="col" data-sorter="false"><?php $this->service->echo_text('Time'); ?></th> <?php } ?>
				
			<?php if( $show_prices ) { ?>
				<th scope="col" data-sorter="false">
					<?php $this->service->echo_text('Price'); ?>
					<span class="administrate-event-table-price-quantifier">
						<?php if( !empty($tax_label) ) { ?>
							<abbr title="<?php echo ($basis == 'gross' ? $this->service->get_text('Tax included') : $this->service->get_text('Tax not included')); ?>" >
								<?php echo ($basis == 'gross' ? $this->service->get_text('inc.') : $this->service->get_text('exc.')); ?>
							</abbr>
							<?php echo  $tax_label; ?>
						<?php } ?>
					</span>
				</th>
			<?php } ?>		
			<th scope="col" data-sorter="false" class="administrate-event-table-mobile">&nbsp;</th>
			<th scope="col" data-sorter="false"><?php $this->service->echo_text('Status'); ?></th>
		</tr></thead>
		
		<tbody>
		<?php foreach( $event_list as $event ) { ?>

			<?php
				extract( $this->event_data($event) );
			
				if( $months_until_start > $num_months ) { 
					continue;
				}
			?>
			
			<?php /* Display event */ ?>
			<tr
				data-event-id="<?php echo  $event->get_id(); ?>"
				data-categories="<?php echo  $categories_str; ?>"
				data-subcategories="<?php echo  $subcategories_str; ?>"
				data-num-months="<?php echo  $months_until_start; ?>"
				data-location="<?php echo  $event->get_location(); ?>"
				data-currencies="<?php echo  $currencies_str ?>"
				data-event-default-currency="<?php echo  $event_currency ?>"
			>
				<?php $course_widget_url = $this->service->get_widget_url_course($event->get_course_code()); ?>
				
				<?php /* Course code */ ?>
				<?php if( $show_codes ) { ?> 
					<td class="<?php echo  $class_course_code; ?>">
						<?php if( !empty($checkout_page) ) { ?>
							<a href="<?php echo  $course_widget_url; ?>" class="<?php echo  $class_course_link; ?>"><?php echo  $event->get_course_code(); ?></a>
						<?php } else { echo $event->get_course_code(); } ?>
					</td>
				<?php } ?>
				
				<?php /* Course title */ ?>
				<?php if( $show_names ) { ?> 
					<td class="<?php echo  $class_course_name; ?>">
						<?php if( !empty($checkout_page) ) { ?>
							<a href="<?php echo  $course_widget_url; ?>" class="<?php echo  $class_course_link; ?>"><?php echo  $event->get_course_title(); ?></a>
						<?php } else { echo $event->get_course_title(); } ?>
						
						<?php if( $event->is_multi_session() ) { ?>
							<span class="administrate-session-link administrate-session-link-small"><?php $this->service->echo_text('View Dates'); ?></span>
						 <?php } ?>

						<?php if($event->get_registration_deadline()) { ?>
							<br /><span class="administrate-session-link-small">Registration Closes: <?php echo AdministrateDateTime::date_time($event->get_registration_deadline(), $registration_deadline_timezone); ?></span>
						<?php } ?>
					</td>
				<?php } ?>

				<?php /* Course location */ ?>
				<td class="<?php echo  $class_course_location; ?>">
					<?php echo  $event->get_location(); ?>
				</td>

				<?php /* Course venue */ ?>
				<?php if($show_venues) { ?>
					<td class="<?php echo  $class_course_location; ?>">
						<?php if($event->get_venue_description()) { ?>
							<span class="administrate-venue-link administrate-venue-link-small"><?php echo $event->get_venue_name(); ?></span>
						<?php } else { ?>
							<?php echo $event->get_venue_name(); ?>
						<?php } ?>
					</td>
				<?php } ?>
				
				<?php /* Event dates */ ?>
				<td data-start-date="<?php echo  $dates['start']; ?>" class="administrate-event-table-date">
					
					<?php if( $event->is_multi_session() ) { ?><span class="administrate-session-link"><?php } ?>
						<?php if($event->is_persistent()) { ?>
							<?php echo 'Access Duration: ' . $event->get_access_duration() . ' days.'; ?>
						<?php } else { ?>
							<?php echo $this->service->t_dates($event->get_dates($show_classroom_dates), $event->is_online(), $event->is_persistent()); ?>
						<?php } ?>
					<?php if( $event->is_multi_session() ) { ?></span><?php } ?>
					
				</td>
				
				<?php /* Event times */ ?>
				<?php if( $show_times ) { ?>
					<td class="administrate-event-table-time">
						<?php if(!$event->is_persistent()) echo $this->service->t_times($times); ?>
					</td>
				<?php } ?>
				
				<?php /* Event price */ ?>
				<?php if( $show_prices ) { ?>
					<td class="administrate-event-table-price">
						<?php echo  $this->service->t_prices($event, $basis, $currency, $show_currency_indicator, $currency_indicator, $currency_list); ?>
					</td>
				<?php } ?>
				
				<?php /* Mobile Content */ ?>
				<td class="administrate-event-table-mobile">
					<?php
					$show_locations = $show_dates = true;
					include( $this->service->get_widget_dir(). "/event.php" );
					?>
				</td>
				
				<?php /* Registration link */ ?>
				<td class="administrate-event-table-registration">
					<?php include( $this->service->get_widget_dir(). "/registration.php" ); ?>
				</td>
			</tr>
			<?php if($event->is_multi_session()) {  ?>
				<div class="administrate-session-container" id="sessions-<?php echo  $event->get_id(); ?>">
					<?php include( $this->service->get_widget_dir(). "/event_sessions.php" ); ?>
				</div>
			<?php } ?>
			<?php if($event->get_venue_name() && $event->get_venue_description()) { ?>
				<div class="administrate-venue-container" id="venues-<?php echo  $event->get_id(); ?>">
					<?php echo $event->get_venue_description() ?>
				</div>
			<?php } ?>
		<?php
		}
		?>

		</tbody>
	</table>
	<div class="administrate-no-rows"><?php echo  $no_events_message; ?></div>
	<?php /* Page navigation */ ?>

	<?php if ($group_size > 0) { ?>
		<div id="administrate-event-table-pager">
			<a href="#" class="administrate-event-table-pager-first"
			   title="<?php $this->service->echo_text('first group'); ?>">&laquo;</a>
			<a href="#" class="administrate-event-table-pager-previous"
			   title="<?php $this->service->echo_text('previous group'); ?>">&lsaquo;</a>
			<span class="administrate-event-table-pager-status"></span>
			<a href="#" class="administrate-event-table-pager-next"
			   title="<?php $this->service->echo_text('next group'); ?>">&rsaquo;</a>
			<a href="#" class="administrate-event-table-pager-last"
			   title="<?php $this->service->echo_text('last group'); ?>">&raquo;</a>
		</div>
	<?php } ?>
	<?php include($this->service->get_widget_dir() . "/footer.php"); ?>
</div>
