<h2><?php echo $learning_track->name; ?></h2>
<p><?php echo $learning_track->description; ?></p>
<?php foreach($learning_track->objectives as $objective) { ?>
		<?php if($objective->type == 'course') { ?>
			<li><strong><?php echo $objective->course->title; ?></strong><em> - Course</em></li>
			<?php if(strpos($objective->course->description, '<p>') !== false) { ?>
				<?php echo $objective->course->description; ?>
			<?php } else { ?>
				<p><?php echo $objective->course->description ?: '&nbsp;'; ?></p>
			<?php } ?>
		<?php } elseif($objective->type == 'track') { ?>
			<li><strong><a href="<?php echo $this->service->get_widget_url_track($objective->track->id); ?>"><?php echo $objective->track->name; ?></a></strong><em> - Learning Track</em></li>
			<p><?php echo $objective->track->description; ?></p>
		<?php } elseif($objective->type == 'document') { ?>
			<li><strong><?php echo $objective->document->name; ?></strong><em> - Document Resource</em></li>
			<p><?php echo $objective->document->description; ?></p>
		<?php } elseif($objective->type == 'external') { ?>
			<li><strong><?php echo $objective->external; ?></strong><em> - External Objective</em></li>
			<p>-</p>
		<?php } ?>
<?php } ?>

<div class="administrate-widget administrate-sort-filter-table">
	<strong>Choose Objectives</strong>
	<div class="tab">
		<select id="objective-select">
			<?php foreach($learning_track->objectives as $key => $objective) {?>
				<?php if($objective->type == 'course') { ?>
					<option id="objective-select-<?php echo $objective->id; ?>" value="<?php echo $objective->id; ?>">
						Part <?php  echo $key + 1; ?> - <?php echo $objective->course->title; ?>
					</option>
				<?php } ?>
			<?php } ?>
		</select>
	</div>
	<?php $first_run = true; ?>
	<?php foreach($learning_track->objectives as $objective) { ?>
		<?php
		$table_style = "";
		if ($first_run == false){
			$table_style = 'style="display:none"';
		}
		?>

		<?php if($objective->type == 'course') { ?>
			<input id="selection-<?php echo $objective->id ?>" type="hidden" value="" class="event-objective-selection"/>
			<div id="objective-table-<?php echo $objective->id; ?>" <?php echo $table_style ?> class="administrate-learning-path-objectives administrate-widget administrate-sort-filter-table">
				<table class="administrate-event-table-pricing-table tablesorter tablesorter-default">
					<?php if (count($objective->registrable_events) === 0) { ?>
						<div><?php echo "No Events available for this Course right now." ?></div>
					<?php } else { ?>
						<tr>
							<td>Select</td>
							<td>Location</td>
							<td>Dates</td>
							<td>Status</td>
						<tr>
						<?php foreach($objective->registrable_events as $key=>$event) { ?>
							<tr<?php if ($key % 2 == 0) { echo ' class="administrate-alt"' ; }?>>
								<td>
									<input
										type="radio"
										id="objective-event-<?php echo $objective->id ?>"
										onchange="selectEvent(<?php echo $objective->id ?>,<?php echo $event->id ?>)"
										name="radio-objective-<?php echo $objective->id ?>"
									>
								</td>
								<td><?php $this->service->echo_text($event->location) ?></td>
								<td><?php $this->service->echo_text($this->service->render_datetime_string($event->date)) ?></td>
								<td>Available</td>
							</tr>
						<?php } ?>
					<?php } ?>
				</table>
			</div>
			<?php $first_run = false ?>
		<?php } ?>
	<?php } ?>

	</br>

	<script type="text/javascript" src="<?php echo  $this->service->get_abs_url("common/widgets/learning_track/learning_path_objectives.js") ?>"></script>

</div>

<div>
	<?php

	list($display, $prices_include_taxes) = AdministrateLearningTrackWidget::display_price(
		$learning_track,
		$this->service->get_option('currency', 'pricing'),
		$this->service->get_currency_symbol($this->service->get_option('currency', 'pricing')),
		$this->service->get_option('basis', 'pricing')
	);
	echo '<strong>Price</strong><br>' . $display . ' ';
	?>
	<input type="hidden" name="track_id" id="track_id" value="<?php echo $learning_track->id ?>" />
	<input type="hidden" name="objectives" id="path_objectives" />
	<input type="hidden" name="learning_path_register_url" id="learning_path_register_url"  value="<?php echo $this->service->get_widget_url_checkout(null, false, $learning_track->id);?>"/>
	<?php if($this->service->get_option('use_sales_opportunities', 'checkout')) { ?>
		<a id="track_register_now_link" href="<?php echo $this->service->get_widget_url_checkout(null, false, $learning_track->id);?>" class="administrate-learning-track-list-register-link"><?php $this->service->echo_text('Register Now'); ?> &raquo;</a>

	<?php } else { ?>
		<em>Checkout Unavailable</em>
	<?php } ?>

</div>

<ul style="clear:both; margin-top: 20px;" class="<?php echo  $this->add_namespace('menu', '-'); ?>">
	<li class="<?php echo  $this->add_namespace('back', '-'); ?>"><a href="<?php echo $this->service->get_widget_url_track_list(); ?>"><?php $this->service->echo_text('See More Learning Tracks', 'administrate'); ?></a></li>
</ul>
