<?php
//  Learning Track List
//
class AdministrateWidgetLearningTrackList extends AdministrateLearningTrackWidget {
	public function __construct($service) {
		parent::__construct($service, 'learning_track_list');

		if(function_exists('wp_enqueue_script')) {
			wp_enqueue_style('administrate_learning_track_list', plugins_url('learning_track_list.css', __FILE__));

			wp_enqueue_script(
				'administrate_tablesorter',
				$this->service->get_url('/js/jquery.tablesorter.js'),
				array('jquery'),
				false,
				true
			);

			wp_enqueue_script(
				'administrate_tablesorter_pager',
				$this->service->get_url('/js/jquery.tablesorter.pager.js'),
				array('jquery', 'administrate_tablesorter'),
				false,
				true
			);

			wp_enqueue_script(
				'administrate_learning_track_list',
				$this->service->get_url('/js/jquery.administrate_learning_track_list.js'),
				array('jquery', 'administrate_tablesorter', 'administrate_tablesorter_pager'),
				false,
				true
			);
		}
	}

	public function run($widget_params = array()) {
		parent::run($widget_params);
		$this->fetch_learning_tracks();
		$this->params['learning_track_page'] = $this->service->get_widget_url_track_list();
		return $this->get_template_content("learning_track_list.php");
	}

	public function fetch_learning_tracks() {
		$this->params['learning_track_list'] = Administrate::api()->get_learning_track_list();
	}
}
