<?php
//  Administrate category widget
class AdministrateWidgetCategory extends AdministrateWidget {

	//  Configuration
	protected $key = 'category';
	
	//  Properties
	private $category = false;
	
	//  Run the checkout
	public function run() {
		
		//  Extract parameters
		extract(array_merge(
			array(
				'category_id'		=>	0,
				'show_children'		=>	true,
				'show_codes'		=>	true,
				'show_description'	=>	true
			), 
			$this->params
		));
		
		//  Set param types
		$categoryId = intval($category_id);
		$show_children = $this->_is_true($show_children);
		$show_codes = $this->_is_true($show_codes);
		$show_description = $this->_is_true($show_description);
		
		//  If no category parameter was passed, see if we can get a request parameter
		if ($categoryId === 0) {
			if (isset($_REQUEST[$this->service->add_namespace(array('category', 'id'))])) {
				$categoryId = $_REQUEST[$this->service->add_namespace(array('category', 'id'))];
			}
		}
		
		//  Try to initialize the category  
		if (!empty($categoryId)) {
			$this->category = Administrate::api()->get_category($categoryId);
		}
		
		//  If the category exists, display it
		if ($this->category) {
		
			//  Include the template
			$this->_set_courses();
			ob_start();
			include($this->get_path('/views/category.php'));
			return ob_get_clean();
		
		//  Otherwise display the category list
		} else {
			
			return $this->service->run('category_list');
			
		}
		
	}
	
	//  Set courses
	private function _set_courses() {
		$this->courses = Administrate::api()->get_course_list(array('CourseCategoryID'=>$this->category->get_id()));
	}
	
	//  Get courses
	public function get_courses() {
		return $this->courses;
	}

}
