<?php
//  Administrate category list
class AdministrateWidgetCategoryList extends AdministrateWidget {

	//  Configuration
	protected $key = 'category_list';
	
	//  Run the checkout
	public function run() {
		
		//  Extract parameters
		extract(array_merge(
			array(
				'show_codes'	=> 	true,	//not needed but removes warning when showing category that can't be found
				'exclude'	=>	0,
				'show_children'	=>	true
			), 
			$this->params
		));
		
		//  Set param types
		$show_children = $this->_is_true($show_children);
		$show_codes = $this->_is_true($show_codes);
		$exclude = $this->_convert_to_array($exclude);
		
		//  Include the appropriate template
		ob_start();
		include($this->get_path('/views/category_list.php'));
		return ob_get_clean();
		
	}
	
	//  Get all categories
	public function get_categories() {
		if (!property_exists($this, 'categories')) {
			$include_empty = $this->service->to_boolean($this->service->get_option('show_empty_courses'));
			$show_current_online = $this->service->get_option('show_current_online');
			
			$this->categories = Administrate::api()->get_category_list( array(
				"IncludeEmpty" => $include_empty,
				"IncludeCurrentOnline" => $show_current_online
			));
		}
		return $this->categories;
	}

}
