<?php
extract($params);

$netPrice = $this->get_order()->get_event_net_price(true);


$courseNameClass = $this->add_namespace(array('course', 'name'), '-');
$taxClass = $this->add_namespace(array('tax'), '-');

// Discount
$netPriceNoDiscount = $this->get_order()->get_event_net_price(false);
$grossPriceNoDiscount = $this->get_order()->get_event_gross_price(false);

if($this->get_order()->get_discount_type() == 'fixed') {
	$d_rate = $this->get_order()->get_discount_rate();
	if($d_rate > ($netPriceNoDiscount * $num_attendees)) {
		$netDiscount = ($netPriceNoDiscount * $num_attendees);
	} else {
		$netDiscount = $d_rate;
	}

	$netWithDiscount = ($netPriceNoDiscount * $num_attendees) - $netDiscount;

	if($netPriceNoDiscount == 0) {
		$taxRate = 0;
		$taxPrice = 0;
	} else {
		$taxRate = $grossPriceNoDiscount / $netPriceNoDiscount;
		$taxPrice = ($netWithDiscount * $taxRate) - $netWithDiscount;
	}

	$grossPrice = $netWithDiscount + $taxPrice;

} else {
	$netDiscount = max(0, ($netPriceNoDiscount - $netPrice) * $num_attendees);
	$grossPrice = $this->get_order()->get_event_gross_price(true) * $num_attendees;
	$taxPrice = ($grossPrice - ($netPrice * $num_attendees));
}

$submit_text = $this->service->get_text( $is_event_free ? "Confirm Booking" : "Place Order by Invoice" );

$discountPercentage = $this->get_order()->get_discount_rate() * 100;

?>

<?php $this->service->display_errors($errors, $this->service->get_option('validation_error_message')); ?>

<h3><?php $this->service->echo_text('Please confirm the following order:'); ?></h3>

<table <?php if( $this->get_order()->get_promo_code() == '' ) echo 'style="display:none;"';?> >
	<thead>
		<th><?php $this->service->echo_text('Discount Information', 'administrate'); ?></th>
		<th><?php $this->service->echo_text('Net Discount', 'administrate'); ?></th>
	</thead>
	<tbody>
	<td>Promo Code (<?php
		if($this->get_order()->get_discount_type() == 'fixed') {
			echo 'fixed amount';
		} else {
			echo $discountPercentage . '%';
		}
		?>)</td>
	<td>
		<?php
		$item_discounts = 0;
		foreach($mapped_items as $item) {
			$item_discounts += $item['discount'];
		}
		echo $this->service->format_currency($netDiscount + $item_discounts, $this->get_order()->get_currency());
		?>
	</td>
	</tbody>
</table>

<h3><?php $this->service->echo_text('Order Summary'); ?></h3>

<div class="administrate-order-summary-mobile">
	<p>
		<?php $this->service->echo_text('Number of Attendees', 'administrate'); ?>:
		<?php echo  $num_attendees; ?>
	</p>
	<?php if(!$is_event_free) { ?><p>
		<?php $this->service->echo_text('Applicable Tax', 'administrate'); ?>:
		<?php echo $this->service->format_currency(($taxPrice * $num_attendees), $this->get_order()->get_currency()); ?>
		<?php echo  $tax_label; ?>
	</p><?php } ?>
</div>

<table>
	<thead>
		<tr>
			<th class="<?php echo  $courseNameClass; ?>"><?php $this->service->echo_text('Course'); ?></th>
			<th>
				<?php $this->service->echo_text('Price per Person'); ?>
			</th>
			<th class="administrate-attendees"><?php $this->service->echo_text('Attendees'); ?></th>

			<?php if(!$is_event_free) { ?>
			<th><?php $this->service->echo_text('Subtotal'); ?></th>
			<th class="<?php echo  $taxClass; ?>"><?php echo  $tax_label; ?></th>
			<th><?php $this->service->echo_text('Total'); ?></th>
			<?php } ?>

		</tr>
	</thead>
	<tbody>
	<tr>
		<td class="<?php echo  $courseNameClass; ?>"><?php echo  $course; ?></td>
		<td><?php
			if($is_event_free) {
				echo 'Free';
			} else {
				if($this->get_order()->get_discount_type() == 'fixed') {
					echo $this->service->format_currency($netPriceNoDiscount, $this->get_order()->get_currency());
				} else {
					echo $this->service->format_currency($netPrice, $this->get_order()->get_currency());
				}
			}
			?></td>
		<td class="administrate-attendees"><?php echo  $num_attendees; ?></td>

		<?php if(!$is_event_free) { ?>
			<td><?php
				if($this->get_order()->get_discount_type() === 'fixed') {
					echo $this->service->format_currency(($netPriceNoDiscount * $num_attendees) - $netDiscount, $this->get_order()->get_currency()) . ' <small>(includes discount)</small>';
				} else {
					echo $this->service->format_currency(($netPrice * $num_attendees), $this->get_order()->get_currency());
				}
				?></td>
			<td class="<?php echo  $taxClass; ?>"><?php
				echo  $this->service->format_currency($taxPrice, $this->get_order()->get_currency());
				?></td>
			<td><?php
				echo $this->service->format_currency($grossPrice, $this->get_order()->get_currency());
				?></td>
		<?php } ?>

	</tr>
	<?php
	if(count($mapped_items)) {
		foreach($mapped_items as $mapped_item) {
			?>
			<tr>
				<td>
					<?php echo $mapped_item['name']; ?>
				</td>
				<td>
					<?php echo $this->service->format_currency(($mapped_item['subtotal'] - $mapped_item['discount']) / $num_attendees, $this->get_order()->get_currency()); ?>
				</td>
				<td>
					<?php echo $num_attendees; ?>
				</td>
				<td>
					<?php echo $this->service->format_currency($mapped_item['subtotal'] - $mapped_item['discount'], $this->get_order()->get_currency()); ?>
				</td>
				<td>
					<?php echo $this->service->format_currency($mapped_item['tax'], $this->get_order()->get_currency()); ?>
				</td>
				<td>
					<?php echo $this->service->format_currency($mapped_item['subtotal'] + $mapped_item['tax'] - $mapped_item['discount'], $this->get_order()->get_currency()); ?>
				</td>
			</tr>
		<?php
		}
	}
	?>
	</tbody>
</table>	

<h3><?php $this->service->echo_text('Your Details'); ?></h3>
<dl class="<?php echo  $this->service->add_namespace(array('field', 'values'), '-'); ?>">
	<?php foreach ($buyer_fields as $field) { ?>
		<?php if (!empty($buyer_values[$field])) { ?>
			<dt><?php echo  $this->service->get_data_label('orders', 'order_buyer_details', $field); ?></dt>
				<dd><?php echo  stripslashes($buyer_values[$field]); ?></dd>
		<?php } ?>
	<?php } ?>
</dl>

<h3><?php $this->service->echo_text('Invoice Address'); ?></h3>
<address>
	<span><?php echo $invoice_values['address']; ?></span>
	<span><?php echo $invoice_values['city']; ?>, <?php echo $invoice_values['territory']; ?> <?php echo $invoice_values['postal_code']; ?></span>
	<span><?php echo $invoice_values['country']; ?></span>
</address>

<?php for ($i = 1; $i <= $num_attendees; ++$i) { ?> 
	<h3><?php $this->service->echo_text('Attendee'); ?> <?php echo $i; ?></h3>
	<dl class="<?php echo  $this->service->add_namespace(array('field', 'values'), '-'); ?>">
		<?php foreach($attendee_fields as $field) { ?>
			<dt><?php echo $this->service->get_data_label('orders', 'order_attendee_details', $field); ?></dt>
				<dd><?php echo stripslashes($attendee_values[$field][$i-1]); ?></dd>
		<?php } ?>
	</dl>
<?php } ?>

<?php if(isset($course_fields) && !empty($course_fields)) { ?>
	<h3><?php $this->service->echo_text('Course Information'); ?></h3>
	<?php include($this->service->get_path('/widgets/views/course_fields.php')); ?>
<?php } ?>

<?php
// Include the payment block.
require __DIR__ . '/../../../../common/widgets/checkout/views/checkout_step4_payment_block.php';
?>
