<?php
//  Administrate subcategory list
class AdministrateWidgetSubcategoryList extends AdministrateWidget {

	//  Configuration
	protected $key = 'subcategory_list';
	protected $category = false;
	
	//  Run the checkout
	public function run($params = array()) {
		
		//  Extract parameters
		extract(array_merge(
			array(
				'category_id'	=>	0,
				'show_codes'	=>	true
			), 
			$this->params
		));
		
		//  Set param types
		$this->categoryId = intval($category_id);
		$show_codes = $this->_is_true($show_codes);
		
		//  If no category parameter was passed, see if we can get a request parameter
		if ($this->categoryId === 0) {
			if (isset($_REQUEST[$this->service->add_namespace(array('category', 'id'))])) {
				$this->categoryId = $_REQUEST[$this->service->add_namespace(array('category', 'id'))];
			}
		}
		
		//  Try to initialize the category  
		if (!empty($this->categoryId)) {
			$this->category = Administrate::api()->get_category($this->categoryId);
		}
		
		//  If the category exists, display subcategory list
		if ($this->category) {
		
			//  Include the template
			ob_start();
			include($this->get_path('/views/subcategory_list.php'));
			return ob_get_clean();
		
		//  Otherwise display the category list
		} else {
			
			return $this->service->run('category_list');
			
		}
		
	}
	
	//  Get all subcategories
	public function get_subcategories() {
		if (!property_exists($this, 'subcategories')) {
			if ($this->service->to_boolean($this->service->get_option('show_empty_courses'))) {
				$this->subcategories = $this->category->get_subcategories();
			} else {		
				$this->subcategories = array();
				$events = Administrate::api()->get_event_list(array('CourseCategoryID'=>$this->categoryId));
				foreach ($events as $event) {
					$categories = $event->get_categories();
					if ($categories) {
						foreach ($categories as $category) {
							$tmpSubcategories = $category->get_subcategories();
							if ($tmpSubcategories) {
								foreach ($tmpSubcategories as $subcategory) {
									if (!array_key_exists($subcategory->get_id(),$this->subcategories)) {
										$this->subcategories[$subcategory->get_id()] = $subcategory;	
									}
								}
							}
						}
					}
				}
			}
		}
		return $this->subcategories;
	}

}
