(function($) {

	$.widget('administrate.administrate_learning_track_table', {

		options: {
			table: '#administrate-learning-track-list-table',
			oddClass: 'administrate-alt',
			filteredRowClass: 'administrate-learning-track-list-filtered',
			pager: '#administrate-learning-track-list-pager',
			pagerFirst: '.administrate-learning-track-list-pager-first',
			pagerPrevious: '.administrate-learning-track-list-pager-previous',
			pagerNext: '.administrate-learning-track-list-pager-next',
			pagerLast: '.administrate-learning-track-list-pager-last',
			pagerStatus: '.administrate-learning-track-list-pager-status',
			noRows: '.administrate-no-rows'
		},

		_create: function() {
			this.table = this.element.find(this.options.table);
			this.learning_tracks = this.table.find("tbody").children();
			this.noRows = this.element.find(this.options.noRows);
			this.pager = $(this.options.pager);

			//  Only proceed if there are any learning tracks in the table
			if (this.learning_tracks.length > 0) {

				this.table = this.element.find(this.options.table);

				//  Initialize table sorter
				this.table.tablesorter({
					widgets: 		['zebra', 'filter'],
					widgetOptions:	{
						zebra: 				['', this.options.oddClass],
						filter_filteredRow:	this.options.filteredRowClass
					}
				});

				//  If the pager element exists, initialize it
				if ((this.pager.length > 0) && (this.table.find('tbody').find('tr').length > 0)) {
					this.pager.show();
					this.table.tablesorterPager({
						container:		this.pager,
						fixedHeight:	false,
						size:			parseInt(this.table.attr("data-group-size")),
						output:			'{startRow} - {endRow} / {filteredRows}',
						cssFirst:		this.options.pagerFirst,
						cssPrev:		this.options.pagerPrevious,
						cssNext:		this.options.pagerNext,
						cssLast:		this.options.pagerLast,
						cssPageDisplay:	this.options.pagerStatus,
						cssDisabled:	this.options.pagerDisabledClass
					});
				}

				//  Otherwise just hide tne entire widget
			} else {

				// Show the 'no rows' text
				this.noRows.show();
			}
		},

		// Use the destroy method to reverse everything your plugin has applied
		destroy: function() {

			//  Call parent destroy
			$.Widget.prototype.destroy.call(this);

		}
	});
})(jQuery);