<?php
$plugin_monitor   = $this->plugin->monitor;

$generate_request = isset( $_REQUEST['generate_report'] );
$send_request     = isset( $_REQUEST['send_report'] );

// Wordpress user details
global $current_user;
get_currentuserinfo();

// Generate report
//
if($generate_request) {
	$plugin_monitor->report_generate();
	
	if( !$plugin_monitor->report_save() ) {
		_e("Error saving the report file. ");
		_e("The write privilege of your Wordpress upload directory could be restricted. ");
		_e("Please enable writing to 'wp-uploads' and try generating the report agains.");
	}
}

// Send report to Administrate
//
if( $send_request ) {
	$send_ok = $plugin_monitor->report_send($_POST["user_email"], $_POST["user_message"]);
}
?>

<form id="<?php echo  $this->plugin->add_namespace(array('monitoring', 'actions'), '-'); ?>" method="post">
	
	<div id="administrate_monitor_report">
		<div id="administrate_monitor_report_header">
		
			<?php /* Generate Report */ ?>
			<div id="administrate_monitor_submit" style="display: <?php echo  ( !$generate_request && !$send_request ) ? "block" : "none"; ?>">
				<p>
					<?php _e("Click 'GO' to see if your site is capable of running Administrate's WordPress Plugin.", 'administrate'); ?>
				</p>
				
				<input id="administrate_monitor_url" type="hidden" value="<?php echo  admin_url("admin.php?page=administrate_monitoring&administrate_monitoring_ajax=true&timestamp=".time());?>" >
				<?php submit_button( 
					__('GO', 'administrate'),
					'secondary', 'generate_report', false
				);?>
				
				<div id="administrate_monitor_progress"></div>
			</div>
		
			<?php /* Send Report */ ?>
			<div id="administrate_monitor_send" style="display: <?php echo  ( $generate_request && !$send_request ) ? "block" : "none"; ?>" >
				<p>
					<?php _e("Your Health Check Report is Ready!", 'administrate'); ?> <br>
					<?php _e("Share this with Administrate if you need assistance by clicking 'Send Report'.", 'administrate'); ?>
				</p>
			
				<p>
					<label for="message" >Your E-Mail:</label><br>
					<input type="text" name="user_email" id="user_email" value="<?php echo  $current_user->user_email; ?>" >
				</p>
			
				<p>
					<label for="message" >Add a Message (Optional):</label><br>
					<textarea name="user_message" ></textarea><br>
					
					<?php submit_button( __('Send Report', 'administrate'), 'secondary', 'send_report', false); ?>
				</p>
				
				You can
				<a href="?page=administrate_monitoring" class="administrate_report_rerun">run this report again.</a>
				
			</div>
			
			<?php /* Send Status */ ?>
			<?php if( isset($send_ok) ) { ?>
				
				<?php if( $send_ok ) { ?>
					<div id="administrate_monitor_send" class="send_ok" >
						<p>
							<?php _e("Thank you! Your report has been sent to Administrate. You'll hear from us soon."); ?><br>
							You can now <a href="?page=administrate_monitoring">return back</a>.
						</p>
					</div>	
				<?php } else { ?>
					<div id="administrate_monitor_send" class="send_fail">
						<p>
							<?php _e('Unfortunately, Wordpress was not able to send your report.'); ?><br>
							<?php _e('Please download the report file and e-mail it to us.'); ?><br>
						</p>
						Link to your report: <a href="<?php echo  $plugin_monitor->report_url().$plugin_monitor->report_filename(); ?>" target="_blank"><?php echo  $plugin_monitor->report_filename() ?></a>
					</div>
				<?php } ?>
			<?php } ?>
			
		</div>
	</div>

</form>
