<?php
//  Administrate category list
class AdministrateWidgetCategoryList extends WPPluginPatternWidget {

	//  Configuration
	protected $key = 'category_list';
	
	//  Run the checkout
	public function run($params = array()) {
		
		//  Extract parameters
		extract(shortcode_atts(array(
			'show_subcategories'	=>	true
		), $params));
		
		//  Set param types
		$show_subcategories = (($show_subcategories === true) || ($show_subcategories === 'true'));
		
		//  Save course page option
		$coursePage = $this->plugin->get_option('course_page', 'course');
		
		//  Include the appropriate template
		ob_start();
		include($this->get_path('/views/category_list.php'));
		return ob_get_clean();
		
	}
	
	//  Get all categories
	public function get_categories() {
		if (!property_exists($this, 'categories')) {
			$include_empty = $this->plugin->to_boolean($this->plugin->get_option('show_empty_courses', 'course'));
			$show_current_online = $this->service->get_option('show_current_online', 'event');
			
			$this->categories = Administrate::api()->get_category_list( array(
				"IncludeEmpty" => $include_empty,
				"IncludeCurrentOnline" => $show_current_online
			));
		}
		return $this->categories;
	}

}
