<?php
define('DONOTCACHEPAGE', true);

//  Initialize step definitions
$steps = array(
	1	=>	__('Course', 'administrate'),
	2	=>	__('Attendees', 'administrate'),
	3	=>	__('Terms', 'administrate'),
	4	=>	__('Confirm &amp; Pay', 'administrate')
);

//  Loop through steps and set empty content for any that don't exist
foreach ($steps as $num=>$title) {
	if (!isset($step_content[$num])) {
		$step_content[$num] = '';
	}
}

//  If the completeContent variable isn't set, default to empty
if (!isset($complete_content)) {
	$complete_content = '';	
}

//  If this is less than step 5, set the next step to current step plus 1
if ($current_step < 5) {
	$next_step = $current_step + 1;
}
?>

<div id="<?php echo  $this->add_namespace('', '-'); ?>" class="<?php echo  $this->plugin->add_namespace('widget', '-'); ?>">
	<h2>
		<?php echo  $this->widgetTitle; ?> 
		<?php if ($current_step < 5) { ?>
			<?php if($this->order->get_event_id()) { ?>
				<span id="<?php echo  $this->add_namespace('reset', '-'); ?>">[<a href="<?php echo  $this->_get_reset_url(); ?>"><?php _e('change course', 'administrate'); ?></a>]</span>
			<?php } else { ?>
				<span id="<?php echo  $this->add_namespace('reset', '-'); ?>">[<a href="<?php echo $this->service->get_learning_track_page(); ?>"><?php _e('change track', 'administrate'); ?></a>]</span>
			<?php } ?>
		<?php } ?>
	</h2>
	<?php if ($current_step < 5) { ?>
		<form action="<?php echo  isset($formAction) ? $formAction : ""; ?>" method="post" id="administrate-checkout-form">
			<input type="hidden" name="<?php echo  $this->add_namespace('step'); ?>" value="<?php echo  $next_step; ?>" id="<?php echo  $this->add_namespace(array('next', 'step'), '-'); ?>">
			<input type="hidden" name="<?php echo  $this->orderKey; ?>" value="<?php echo  $this->order->get_id(); ?>">
			<ol class="ui-tabs-nav">
				<?php foreach ($steps as $step=>$title) { ?>
					<?php
					//  Set the CSS class
					$tabClass = 'ui-state-default';
					if ($step == $current_step) {
						$tabClass = 'ui-state-active';
					} else if ($step > $this->order->get_max_step()) {
						$tabClass = 'ui-state-disabled';
					}

					//  Set the link HREF
					$href = $this->get_step_url($step);
					?>
					<li class="<?php echo  $tabClass; ?>"><a href="<?php echo  $href; ?>"><?php echo  $step; ?>: <?php echo  $title; ?></a></li>
				<?php } ?>
			</ol>
			<?php foreach ($steps as $step=>$title) { ?>
				<div id="<?php echo  $this->add_namespace(array('step', $step), '-'); ?>" class="<?php echo  $this->add_namespace('step', '-'); ?><?php if ($step != $current_step) { ?> <?php echo  $this->plugin->add_namespace('hidden', '-'); ?><?php } ?>"><?php echo  $step_content[$step]; ?></div>
			<?php } ?>
		</form>
	<?php } ?>
	<div id="<?php echo  $this->add_namespace('complete', '-'); ?>"<?php if ($current_step != 5) { ?> class="<?php echo  $this->plugin->add_namespace('hidden', '-'); ?>"<?php } ?>><?php echo  $complete_content; ?></div>
	<?php include($this->plugin->get_path('/views/public/widget_footer.php')); ?>
</div>

<?php if( (strtolower( $this->paymentProcessorName ) == "stripe") && $payment_by_cc && !$is_event_free ) { ?>
	<?php $plugin_config = $this->plugin->get_config("plugin"); ?>
	<?php $plugin_path   = $plugin_config["file"]; ?>
	<script type="text/javascript" src="https://js.stripe.com/v3/"></script>
	<script type="text/javascript" src="<?php echo  plugins_url("common/processors/stripe/lib/jquery.paymnet.js", $plugin_path); ?>"></script>
	<script type="text/javascript" src="<?php echo  plugins_url("common/processors/stripe/checkout_stripe_form.js", $plugin_path); ?>"></script>
<?php } ?>
