<?php 
extract($params);
define('DONOTCACHEPAGE', true);
?>
<h3><?php _e('Register for ' . $track->name, 'administrate'); ?></h3>

<?php $this->plugin->display_errors($errors); ?>

<p><?php echo $track->description; ?></p>
<?php foreach($track->objectives as $objective) { ?>
	<?php if($objective->type == 'course') { ?>
		<li><strong><?php echo $objective->course->title; ?></strong><em> - Course</em></li>
	<?php } elseif($objective->type == 'track') { ?>
		<li><strong><?php echo $objective->track->name; ?></strong><em> - Learning Track</em></li>
	<?php } elseif($objective->type == 'document') { ?>
		<li><strong><?php echo $objective->document->name; ?></strong><em> - Document Resource</em></li>
	<?php } elseif($objective->type == 'external') { ?>
		<li><strong><?php echo $objective->external; ?></strong><em> - External Objective</em></li>
	<?php } ?>
<?php } ?>

<?php
$track_price = AdministrateLearningTrackWidget::get_price($track, $this->service->get_option('currency', 'pricing'));

$currency_symbol = $this->plugin->get_currency_symbol($track_price->currency);

list($price_display, $prices_include_taxes) = AdministrateLearningTrackWidget::display_price(
	$track,
	$this->service->get_option('currency', 'pricing'),
	$currency_symbol,
	$this->service->get_option('basis', 'pricing')
);
?>

<table>
	<thead>
	<tr>
		<th><?php _e('Track', 'administrate'); ?></th>
		<th class="checkout-price-header">
			<?php _e('Price per Person', 'administrate'); ?>
			<span class="<?php echo  $this->add_namespace(array('price', 'qualifier'), '-'); ?>">
				<?php
				echo $price_display;
				?>
			</span>
		</th>
		<th><?php _e('Attendees', 'administrate'); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr>

		<td>
			<?php echo $track->name; ?>
			<div class="administrate-order-price-mobile">
				<?php _e('Price per Person', 'administrate'); ?>:
				<?php
				echo $price_display;
				?>
			</div>
		</td>

		<td class="checkout-price">
			<?php
			echo $price_display;
			?>
		</td>
		<td>
			<select name="order_num_attendees" id="order_num_attendees">
				<?php
				$maxAttendees = intval($this->plugin->get_option('max_attendees', 'checkout'));
				for ($i = 1; $i <= $maxAttendees; ++$i) { ?>
					<option
						value="<?php echo  $i; ?>"
						<?php if ($i == $num_attendees) { ?>
							selected="selected"
						<?php } ?>
						><?php echo  $i; ?></option>
				<?php } ?>
			</select>
		</td>
	</tr>

	<tr>
		<td class="administrate-order-promo">
			<?php /* Promo code form */ ?>
			<div id="promo_form" >
				<input type="hidden" id="net_price" value="<?php echo  $track_price->amount ?>" />
				<input type="hidden" id="gross_price" value="<?php echo  $track_price->gross_amount ?>" />
				<input type="hidden" id="include_tax" value="<?php echo  ($pricing_basis == 'gross') ? 1 : 0 ?>" />
				<input type="hidden" id="show_currency_indicator" value="<?php echo  $show_currency_indicator; ?>" />
				<input type="hidden" id="currency_symbol" value="<?php echo $currency_symbol; ?>" />
				<input type="hidden" name="order_discount" id="order_discount">
				<input type="hidden" name="order_currency" value="<?php echo $track_price->currency; ?>">

				<small><?php echo  _e('Promo Code'); ?>:</small><br>
					<span>
					<input type="text" id="promo_code" value="<?php $promo_code; ?>">
					<input type="button" id="promo_code_apply" value="<?php _e('Apply'); ?>" class="<?php echo  $this->plugin->add_namespace('btn', '-'); ?>" style="float:none;" >
					</span>
			</div>

			<div class="promo-status-container">
				<p class="promo_status" id="promo_correct" style="display: none;">Promo Code Accepted</p>
				<p class="promo_status" id="promo_incorrect" style="display: none;">Promo Code Invalid</p>
			</div>

		</td>
		<td class="administrate-order-promo-info">

			<?php /* Promo code discount prices */ ?>
			<div id="promo_prices">

				<p class="promo_status" id="promo_correct" style="display: none;">Promo Code Accepted</p>
				<p class="promo_status" id="promo_incorrect" style="display: none;">Promo Code Invalid</p>

				<div>
					<span class="promo_label"><?php _e('Subtotal'); ?>:</span>
					<span id="order_subtotal">-</span>
				</div>

				<div class="order_promo_code_row">
					<span class="promo_label"><?php _e('Promo Code'); ?><br><span id="order_promo_rate"></span></span>
					<span class="order_promo_code_row" id="order_promo_code_discount">-</span>
				</div>

				<div class="order_tax_row">
					<span class="promo_label"><?php if($pricing_basis == 'gross') _e('Tax:'); ?></span>
					<span class="order_tax_row" id="order_tax" >-</span>
				</div>

				<div>
					<span class="promo_label"><?php _e( ($pricing_basis == 'gross') ? 'TOTAL:' : "Net Total:"); ?></span>
					<span id="order_total">-</span>
				</div>

			</div>
		</td>

		<td>&nbsp;</td>
	</tr>
	</tbody>
</table>

<?php if( count($errors) == 0 ) { ?>
	<input type="submit" value="<?php _e('Register Now', 'administrate'); ?>" class="<?php echo  $this->plugin->add_namespace('btn', '-'); ?>">
<?php } ?>

<script>
	// Promo Codes
	(function($){

		// Turns 8123.14 into #8,123.14
		function format_currency(total) {
			var currency = (($('#show_currency_indicator').val() == '1') ? $('#currency_symbol').val() : '');
			var figure = parseFloat(total, 10).toFixed(2).replace(/(\d)(?=(\d{3})+\.)/g, "$1,").toString();
			return currency + figure;
		}

		$(document).ready(function() {

			var include_tax = ($('#include_tax').val() == 1);

			var event_net_price = $('#net_price').val();
			var event_gross_price = $('#gross_price').val();

			var quantity = $('#order_num_attendees').val();
			var active_promo_discount = false;
			var active_promo_type = false;

			update_figures();

			function calculate_discount(discount_type, discount_amount) {
				if(discount_type == 'fixed') {
					return {
						discount_amount: (
							(parseFloat(discount_amount) > parseFloat(event_net_price * quantity))
								? (event_net_price * quantity)
								: discount_amount
						),
						discount_rate_display: format_currency(discount_amount)
					};
				} else {
					return {
						discount_amount: (event_net_price * discount_amount).toFixed(2) * quantity,
						discount_rate_display: (discount_amount * 100) + '%'
					};
				}
			}

			// Updates the data as displayed on the first step of checkout.
			function update_figures() {
				var subtotal = 0;
				var discount = 0;
				var tax = 0;

				subtotal = event_net_price * quantity;

				$('#event_net').html(format_currency(subtotal));
				$('#order_subtotal').html(format_currency(subtotal));

				if (active_promo_discount !== false) {

					var discount_calc = calculate_discount(active_promo_type, active_promo_discount);
					discount = discount_calc.discount_amount;
					$('#order_promo_rate').html(discount_calc.discount_rate_display);

					subtotal -= discount;
					if(subtotal < 0) {
						subtotal = 0;
					}
					$('#order_promo_code_discount').html(format_currency(discount));
				} else {
					$('#order_promo_code_discount').html('');
					$('#order_promo_rate').html('');
				}

				if ($('#include_tax').val() == 1) {
					var tax_pct = event_gross_price / event_net_price;
					var tax = (subtotal * tax_pct);
					console.log(subtotal);

					$('#order_tax').html(format_currency(tax));
				}

				$('#order_total').html(format_currency(subtotal + tax))
			}

			function validate_promo() {
				$.ajax(
					// Post to first checkout step - our param will force a promo code validation to occur.
					'<?php echo  $this->get_step_url(1); ?>',
					{
						data: {
							'validate_promo_code': $('#promo_code').val(),
							'del_count': quantity
						},
						method: 'POST',
						dataType: 'json',
						success: function(data) {
							if (!data.length && !$('#promo_code').val()) {
								return;
							}

							if (!data.length) {
								$('#promo_correct').hide();
								$('#promo_incorrect').show();
								$('#order_discount').val('');
								active_promo_discount = false;
								active_promo_type = false;
								$('#promo_code').val('');
								update_figures();
							} else {
								var discount = false;
								var discount_amount = 0;

								// Ascertain the best discount available
								$.each(data, function(k, this_discount) {

									// get discount for this particular one
									var this_discount_amount = calculate_discount(
										this_discount.type,
										this_discount.discount_amount
									);

									// update if it's a better deal
									if(this_discount_amount.discount_amount > discount_amount) {
										discount_amount = this_discount_amount.discount_amount;
										discount = this_discount;
									}
								});

								if($('#promo_code').val() != discount.discount_code) {
									if(discount.type == 'percentage_delegates') {
										$('#promo_correct').text('Bulk Delegates Discount Added');
									}
								} else {
									$('#promo_correct').text('Promo Code Accepted');
								}

								$('#promo_correct').show();
								$('#promo_incorrect').hide();
								$('#order_discount').val(discount.discount_code);
								$('#promo_code').val(discount.discount_code);

								active_promo_discount = discount.discount_amount;
								active_promo_type = discount.type;
								update_figures();
							}
						}
					}
				);
			}

			$('#order_num_attendees').change(function() {
				quantity = $(this).val();
				validate_promo();
				update_figures();
			});

			$('#promo_code_apply').click(function() {
				validate_promo();
			});

		});
	})(jQuery);
</script>

