<?php 
extract($params);
define('DONOTCACHEPAGE', true);
?>

<h3><?php _e('Attendee Details', 'administrate'); ?></h3>

<?php $this->plugin->display_errors($errors); ?>

<?php $fieldClass = $this->plugin->add_namespace('field', '-'); ?>

<input type="input" id="validation_code" value="" name="validation_code">

<fieldset id="<?php echo  $this->add_namespace(array('buyer', 'details'), '-'); ?>">
	<legend><?php echo  $is_event_free ? __('Contact Information', 'administrate') : __('Buyer Information', 'administrate'); ?></legend>
	<input type="hidden" name="order_buyer_details" value="">
	<?php foreach ($buyer_fields as $field) { ?>
		<?php if($field == 'notes' && !$show_notes) { continue; } ?>
		<?php $id = $this->add_namespace(array('buyer', str_replace('_', '-', $field)), '-');; ?>
		<div class="<?php echo  $fieldClass; ?>">
			<label for="<?php echo  $id; ?>"><?php echo  $this->plugin->get_data_label('orders', 'order_buyer_details', $field); ?></label>
			<?php if($field == 'notes') { ?>
				<textarea 
					name="order_buyer_details_<?php echo  $field; ?>"
					id="<?php echo  $id; ?>"
					class="administrate_order_notes"
					maxlength="512"
					rows="5" cols="30"
					placeholder="<?php echo  $default_order_note ?>"
				><?php echo  $buyer_values[$field]; ?></textarea>
			<?php } else { ?>
				<input type="text" name="order_buyer_details_<?php echo  $field; ?>" id="<?php echo  $id; ?>" value="<?php echo  $buyer_values[$field]; ?>" maxlength="64">
			<?php }; ?>
		</div>
	<?php } ?>
	<div class="<?php echo  $fieldClass; ?> <?php echo  $fieldClass; ?>-check" id="<?php echo  $this->add_namespace(array('buyer', 'is', 'attendee', 'field'), '-'); ?>">
		<label>
			<input type="checkbox" name="buyer_is_attendee" id="<?php echo  $this->add_namespace(array('buyer', 'is', 'attendee'), '-'); ?>">
			<?php echo  $is_event_free ? __('Contact is also attendee.') : __('Buyer is also attendee.'); ?>
		</label>
	</div>
</fieldset>

<fieldset id="<?php echo  $this->add_namespace(array('invoice', 'address'), '-'); ?>">
	<legend><?php echo  $is_event_free ? __('Contact Address', 'administrate') : __('Invoice Address', 'administrate'); ?></legend>
	<input type="hidden" name="order_invoice_address" value="">
	<?php foreach ($invoice_fields as $field) { ?>
		<?php $id = $this->add_namespace(array('invoice', str_replace('_', '-', $field)), '-'); ?>
		<div class="<?php echo  $fieldClass; ?>">
			<label for="<?php echo  $id; ?>"><?php echo  $this->plugin->get_data_label('orders', 'order_invoice_address', $field); ?></label>
			<?php if ($field == 'country') { ?>
				<select name="order_invoice_address_<?php echo  $field; ?>" id="<?php echo  $id; ?>">
					<?php foreach ($countries as $code=>$name) { ?>
						<option
							value="<?php echo  $code; ?>"
							<?php if ($code == $invoice_values[$field]) { ?>
								selected="selected"
							<?php } ?>
						><?php echo  $name; ?></option>
					<?php } ?>
				</select>
			<?php } else { ?>
				<input type="text" name="order_invoice_address_<?php echo  $field; ?>" id="<?php echo  $id; ?>" value="<?php echo  $invoice_values[$field]; ?>" maxlength="64">
			<?php } ?>
		</div>
	<?php } ?>
</fieldset>

<input type="hidden" name="order_attendee_details" value="">
<?php for ($i = 1; $i <= $num_attendees; ++$i) { ?> 
	<fieldset id="<?php echo  $this->add_namespace(array('attendee', 'details', $i), '-'); ?>">
		<legend><?php _e('Attendee', 'administrate'); ?> <?php echo  $i; ?></legend>
		<?php foreach ($attendee_fields as $field) { ?>
			<?php if($field == 'notes' && !$show_notes) { continue; } ?>
			<?php 
			$id = $this->add_namespace(array('attendee', str_replace('_', '-', $field), $i), '-'); 
			$value = '';
			if (isset($attendee_values[$field][$i-1])) {
				$value = $attendee_values[$field][$i-1];	
			}
			?>
			<div class="<?php echo  $fieldClass; ?>">
				<label for="<?php echo  $id; ?>"><?php echo  $this->plugin->get_data_label('orders', 'order_attendee_details', $field); ?></label>
				<input 
					type="text"
					name="order_attendee_details_<?php echo  $field; ?>[]"
					id="<?php echo  $id; ?>"
					class="administrate_order_notes"
					value="<?php echo  $value; ?>"
					maxlength="64"
					<?php if($field == 'notes') { ?> placeholder="<?php echo  $default_student_note ?>" <?php } ?> > 
			</div>
		<?php } ?>
	</fieldset>
<?php } ?>

<input type="submit" value="<?php _e('Continue', 'administrate'); ?>" class="<?php echo  $this->plugin->add_namespace('btn', '-'); ?>">
