<?php 
extract($params);
define('DONOTCACHEPAGE', true);
?>
<h3><?php _e('Please confirm the following order:', 'administrate'); ?></h3>
<p><?php _e('If you need to change any details, please use the navigation above to return to the section you need to modify.', 'administrate'); ?></p>

<?php $this->plugin->display_errors($errors); ?>

<?php

$submit_text = $is_event_free ? __("Confirm Booking", "administrate") : __("Place Order by Invoice", "administrate");

list(
	$tax_amount,
	$tax_name,
	$net_price,
	$discounted_net_price,
	$gross_price,
	$discounted_gross_price,
) = AdministrateLearningTrackWidget::price_detail(
	$track,
	$this->service->get_option('currency', 'pricing'),
	$num_attendees,
	$this->get_order()->get_discount_type(),
	$this->get_order()->get_discount_rate()
);

$discountPercentage = $this->get_order()->get_discount_rate() * 100;

?>

<table <?php if( $this->get_order()->get_promo_code() == '' ) echo 'style="display: none;"'; ?> >
	<thead>
	<th><?php _e('Discount', 'administrate'); ?></th>
	<th><?php _e('Net Discount', 'administrate'); ?></th>
	</thead>
	<tbody>
	<td>Promo Code (<?php
		if($this->get_order()->get_discount_type() == 'fixed') {
			echo 'fixed amount';
		} else {
			echo $discountPercentage . '%';
		}
		?>)</td>
	<td>
		<?php
		echo $this->plugin->format_currency($net_price - $discounted_net_price, $this->get_order()->get_currency());
		?>
	</td>
	</tbody>
</table>

<h2><?php echo $track->name; ?></h2>
<p><?php echo $track->description; ?></p>
<?php foreach($track->objectives as $objective) { ?>
	<?php if($objective->type == 'course') { ?>
		<li><strong><?php echo $objective->course->title; ?></strong><em> - Course</em></li>
	<?php } elseif($objective->type == 'track') { ?>
		<li><strong><?php echo $objective->track->name; ?></strong><em> - Learning Track</em></li>
	<?php } elseif($objective->type == 'document') { ?>
		<li><strong><?php echo $objective->document->name; ?></strong><em> - Document Resource</em></li>
	<?php } elseif($objective->type == 'external') { ?>
		<li><strong><?php echo $objective->external; ?></strong><em> - External Objective</em></li>
	<?php } ?>
<?php } ?>

<h3><?php _e('Order Summary', 'administrate'); ?></h3>

<div class="administrate-order-summary-mobile">
	<p><?php _e('Number of Attendees', 'administrate'); ?>: <?php echo  $num_attendees; ?></p>
	<?php if(!$is_event_free) { ?><p>
		<?php _e('Applicable Tax', 'administrate'); ?>:
		<?php echo $this->plugin->format_currency($tax_amount, $this->get_order()->get_currency()); ?>
		</p><?php } ?>
</div>

<table class="administrate-order-summary-large">
	<thead>
	<tr>
		<th><?php _e('Course', 'administrate'); ?></th>
		<th>
			<?php _e('Price per Person', 'administrate'); ?>
		</th>
		<th class="administrate-attendees"><?php _e('Attendees', 'administrate'); ?></th>

		<?php if(!$is_event_free) { ?>
			<th><?php _e('Subtotal', 'administrate'); ?></th>
			<th class="<?php echo  $taxClass; ?>">
				<?php echo $tax_name; ?>
			</th>
			<th><?php _e('Total', 'administrate'); ?></th>
		<?php } ?>

	</tr>
	</thead>
	<tbody>
	<tr>
		<th class="<?php echo $courseNameClass; ?>"><?php echo  $track->name; ?></th>
		<td><?php
			if($is_event_free) {
				echo 'Free';
			} else {
				echo $this->plugin->format_currency($net_price / $num_attendees, $this->get_order()->get_currency());
			}
			?></td>
		<td class="administrate-attendees"><?php echo  $num_attendees; ?></td>

		<?php if(!$is_event_free) { ?>
			<td><?php
				if($this->get_order()->get_discount_type() === 'fixed') {
					echo $this->plugin->format_currency($discounted_net_price, $this->get_order()->get_currency()) . ' <small>(includes discount)</small>';
				} else {
					echo $this->plugin->format_currency($discounted_net_price, $this->get_order()->get_currency());
				}
				?></td>
			<td class="<?php echo  $taxClass; ?>"><?php
				echo  $this->plugin->format_currency($tax_amount, $this->get_order()->get_currency());
				?></td>
			<td><?php
				echo $this->plugin->format_currency($discounted_gross_price, $this->get_order()->get_currency());
				?></td>
		<?php } ?>

	</tr>
	</tbody>
</table>

<h3><?php _e('Your Details', 'administrate'); ?></h3>
<dl class="<?php echo  $this->plugin->add_namespace(array('field', 'values'), '-'); ?>">
	<?php foreach ($buyer_fields as $field) { ?>
		<?php if (!empty($buyer_values[$field])) { ?>
			<dt><?php echo  $this->plugin->get_data_label('orders', 'order_buyer_details', $field); ?></dt>
			<dd><?php echo  $buyer_values[$field]; ?></dd>
		<?php } ?>
	<?php } ?>
</dl>

<h3><?php _e('Invoice Address', 'administrate'); ?></h3>
<address>
	<span><?php echo $invoice_values['address']; ?></span>
	<span><?php echo $invoice_values['city']; ?>, <?php echo  $invoice_values['territory']; ?> <?php echo  $invoice_values['postal_code']; ?></span>
	<span><?php echo $invoice_values['country']; ?></span>
</address>

<?php for ($i = 1; $i <= $num_attendees; ++$i) { ?>
	<h3><?php _e('Attendee', 'administrate'); ?> <?php echo  $i; ?></h3>
	<dl class="<?php echo  $this->plugin->add_namespace(array('field', 'values'), '-'); ?>">
		<?php foreach ($attendee_fields as $field) { ?>
			<?php if($field == 'notes' && !$show_notes) { continue; } ?>
			<dt><?php echo  $this->plugin->get_data_label('orders', 'order_attendee_details', $field); ?></dt>
			<dd><?php echo  $attendee_values[$field][$i-1]; ?></dd>
		<?php } ?>
	</dl>
<?php } ?>

<?php if (isset($course_fields) && !empty($course_fields)) { ?>
	<h3><?php _e('Course Information', 'administrate'); ?></h3>
	<?php include($this->plugin->get_path('/views/public/course_fields.php')); ?>
<?php } ?>

<?php
// Include the payment block.
require __DIR__ . '/../../../../common/widgets/checkout/views/checkout_step4_payment_block.php';
?>
