<?php
require_once($this->plugin->get_path('/widgets/AdministrateWidgetMenu.php'));

// Event menu widget
//
class AdministrateWidgetEventMenu extends AdministrateWidgetMenu {
	protected $key = 'event_menu';
	
	public function __construct(&$plugin) {
		parent::__construct($plugin);
		
		//  Only proceed if the proper option was set
		$showSubmenu = $this->plugin->get_option('show_submenu', 'checkout');
		$this->page = $this->plugin->get_option('checkout_page', 'checkout');
		
		if (!empty($showSubmenu) && !empty($this->page)) {
			//  Set the event ID key
			$this->eventKey = $this->plugin->add_namespace(array('checkout', 'event', 'id'));
			
			//  Add the submenu filter
			add_filter('wp_nav_menu_objects', array($this, 'add_menu'));
		}
	}
	
	//  Add event menu items
	//
	protected function _add_items(&$item) {
		$args = array(
			'IncludeCurrentOnline' => $this->plugin->get_option('show_current_online', 'event'),
			'IncludeSessions' => $this->plugin->get_option('show_sessions', 'event'),
		);

		$events = Administrate::api()->get_event_list($args);
		$num = 1;

		$long_menu_items = $this->plugin->get_bool_option('long_menu_items', 'event');
		foreach ($events as $event) {
			$is_selected = (isset($_REQUEST[$this->eventKey]) && ($_REQUEST[$this->eventKey] == $event->get_id()));
			$event_date  = '<span class="administrate-event">' . $this->plugin->t_dates($event->get_dates($this->plugin->get_option('show_classroom_dates', 'event'))) .':</span> ';
			$event_name  = $event->get_course_title();
			$event_code  = ' (' . $event->get_course_code() . ')';
			
			if($long_menu_items) {
				$item_html = $event_date . $event_name . $event_code;
			}
			else {
				$item_html = $event_name;
			}

			$categoryItem = $this->_add_item(
				$item, $event->get_id(), $item_html,
				$this->plugin->get_registration_url($event->get_id()),
				++$num, $is_selected
			);
		}
	}
}
